# OperatingSystemFamily

abstract class OperatingSystemFamily : Named

Represents the operating system of a configuration. Typical operating system include Windows, Linux, and macOS. This interface allows the user to customize operating systems by implementing this interface.

#### Since

5.1

## Constructors

OperatingSystemFamily
Link copied to clipboard
constructor()

## Properties

LINUX
Link copied to clipboard
val LINUX: String = "linux"
The Linux operating system family.
MACOS
Link copied to clipboard
val MACOS: String = "macos"
The macOS operating system family.
OPERATING_SYSTEM_ATTRIBUTE
Link copied to clipboard
val OPERATING_SYSTEM_ATTRIBUTE: Attribute<OperatingSystemFamily>
WINDOWS
Link copied to clipboard
val WINDOWS: String = "windows"
The Windows operating system family.

## Functions

getName
Link copied to clipboard
@Input
abstract fun getName(): String
isLinux
Link copied to clipboard
open fun isLinux(): Boolean
Is this the Linux operating system family?
isMacOs
Link copied to clipboard
open fun isMacOs(): Boolean
Is this the macOS operating system family?
isWindows
Link copied to clipboard
open fun isWindows(): Boolean
Is this the Windows operating system family?